Set an Agent Opening Message
curl --request PATCH \
--url https://api.getnexor.ai/api/public/workflows/{id}/opening-message \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"channel": "call",
"message": "<string>",
"agent_speaks_first": true,
"silence_ms": 15500
}
'import requests
url = "https://api.getnexor.ai/api/public/workflows/{id}/opening-message"
payload = {
"channel": "call",
"message": "<string>",
"agent_speaks_first": True,
"silence_ms": 15500
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
channel: 'call',
message: '<string>',
agent_speaks_first: true,
silence_ms: 15500
})
};
fetch('https://api.getnexor.ai/api/public/workflows/{id}/opening-message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel": "call",
"opening": {}
}{
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>",
"code": "<string>"
}Set an Agent Opening Message
This operation lets you set an agent opening message for the authenticated Nexor account. This reference documents verified path, query, and top-level JSON body fields, observed response status codes, and top-level response fields. Provider-owned or deeply nested response shapes may remain open.
PATCH
/
workflows
/
{id}
/
opening-message
Set an Agent Opening Message
Authorizations
API key for authentication. Keys are prefixed with nxr_live_.
Path Parameters
Workflow identifier.
Body
application/json
Last modified on September 8, 2026
⌘I